<?xml version="1.0" encoding="ISO-8859-1" ?>
<?rscvt type="out-filter" version="1.0" name="Geodimeter (.are)" file-ext="*.are;" cmd-ext="are_out" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://ww.w3.org/TR/xlink" version="1.0">
	<!-- Ausgabe-Deklarationen -->
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:strip-space elements="*"/>
	<xsl:decimal-format name="european" decimal-separator="," grouping-separator="."/>	
	<!-- Variablen - Deklarationen -->
	<xsl:variable name="zerostr" select="string('                                                                                                                                                                                                                                                      ')" />
	<!-- Key Definitionen -->
	<xsl:key name="GetCatWithID" match="category" use="@id"/>
	<!-- Transformationsteil zum Wandel von RSXML nach KOR --> 
	<xsl:template match="robostation">
		<xsl:for-each select="measurements">
			<xsl:for-each select="mfolder">
				<xsl:variable name="x_offset" select="sum(@x_offset)"/>
				<xsl:variable name="y_offset" select="sum(@y_offset)"/>
				<xsl:variable name="z_offset" select="sum(@z_offset)"/>
				<xsl:for-each select="polygon">
					<xsl:variable name="polycatids" select="@categories"/>
					<xsl:for-each select="point">
						<!-- Punkt ID Ausgabe -->
						<xsl:text>5=</xsl:text>
						<xsl:value-of select="@id"/>
						<xsl:text>&#13;&#10;</xsl:text>
						<!-- Kategorien -->
						<xsl:variable name="pointcatids" select="@categories"/>																																
						<xsl:choose>
							<xsl:when test="string-length($polycatids) &gt; 0">
								<xsl:choose>
									<xsl:when test="contains($polycatids, ' ')">
										<xsl:variable name="catid" select="substring-before($polycatids, ' ')"/>
										<xsl:text>4=</xsl:text>
										<xsl:for-each select="/robostation/category_ref">															
											<xsl:for-each select="key('GetCatWithID', $catid)">
												<xsl:value-of select="@name"/>								
											</xsl:for-each>												
										</xsl:for-each>	
										<xsl:text>&#13;&#10;</xsl:text>	
									</xsl:when>
									<xsl:otherwise>
										<xsl:text>4=</xsl:text>
										<xsl:for-each select="/robostation/category_ref">															
											<xsl:for-each select="key('GetCatWithID', $polycatids)">
												<xsl:value-of select="@name"/>								
											</xsl:for-each>												
										</xsl:for-each>						
										<xsl:text>&#13;&#10;</xsl:text>	
									</xsl:otherwise>
								</xsl:choose>								
							</xsl:when>
							<xsl:otherwise>
								<xsl:choose>
									<xsl:when test="contains($pointcatids, ' ')">
										<xsl:variable name="catid" select="substring-before($pointcatids, ' ')"/>
										<xsl:text>4=</xsl:text>
										<xsl:for-each select="/robostation/category_ref">															
											<xsl:for-each select="key('GetCatWithID', $catid)">
												<xsl:value-of select="@name"/>								
											</xsl:for-each>												
										</xsl:for-each>	
										<xsl:text>&#13;&#10;</xsl:text>	
									</xsl:when>
									<xsl:otherwise>
										<xsl:text>4=</xsl:text>
										<xsl:for-each select="/robostation/category_ref">															
											<xsl:for-each select="key('GetCatWithID', $pointcatids)">
												<xsl:value-of select="@name"/>								
											</xsl:for-each>												
										</xsl:for-each>
										<xsl:text>&#13;&#10;</xsl:text>											
									</xsl:otherwise>
								</xsl:choose>	
							</xsl:otherwise>
						</xsl:choose>
						<!-- Punkt Koordinanten -->
						<xsl:text>38=</xsl:text>
						<xsl:value-of select="@x + $x_offset"/>
						<xsl:text>&#13;&#10;</xsl:text>						
						<xsl:text>37=</xsl:text>
						<xsl:value-of select="@y + $y_offset"/>
						<xsl:text>&#13;&#10;</xsl:text>						
						<xsl:text>39=</xsl:text>
						<xsl:value-of select="@z + $z_offset"/>
						<xsl:text>&#13;&#10;</xsl:text>													
					</xsl:for-each>
				</xsl:for-each>
			</xsl:for-each>		
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
